/*******************************************************************
*
*  DESCRIPTION: Simulator::registerNewAtomics()
*
*  AUTHOR: Amir Barylko & Jorge Beyoglonian 
*  EMAIL: mailto://amir@dc.uba.ar
*         mailto://jbeyoglo@dc.uba.ar
*
*  Modified by: Roxana Djafarzadeh
*  EMAIL: mailto://roxanadj@hotmail.com
*
*  DATE: 27/6/1998
*  Modified: 30/12/2003
*  Modified: 28/07/2004
*
*******************************************************************/

#include "modeladm.h" 
#include "mainsimu.h"
#include "stepA.h"      // class StepA
#include "stepB1.h"     // class StepB1
#include "stepB2.h"	    // class StepB2
#include "stepB3.h"	    // class StepB3
#include "stepB4.h"	    // class StepB4
#include "stepB5.h"	    // class StepB5
#include "stepB6.h"	    // class StepB6
#include "stepB7.h"	    // class StepB7
#include "stepB8.h"	    // class StepB8

void MainSimulator::registerNewAtomics()
{
	SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<StepB8>() , "StepB8" ) ;
	SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<StepB7>() , "StepB7" ) ;
	SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<StepB6>() , "StepB6" ) ;
	SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<StepB5>() , "StepB5" ) ;
	SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<StepB4>() , "StepB4" ) ;
	SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<StepB3>() , "StepB3" ) ;
	SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<StepB2>() , "StepB2" ) ;
	SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<StepB1>() , "StepB1" ) ;
	SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<StepA>() , "StepA" ) ;
}
